From b9c39b6a6d79c1fb2672026ed13bef0f0679d517 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 13 2016 22:27:31 +0000
Subject: [PATCH 387/1001] Let's ignore error when importing preferences


This happens if the library used locally is outdated compared to the
one in prod. Let's just ignore this.

---

diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index de793f5..92b0773 100755
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -74,7 +74,10 @@ def data(session, widget, username, fmn_context):
     matches = []
     preference = get_remote_preference(username, fmn_context)
     if preference:
-        preference = rehydrate_preference(preference)
+        try:
+            preference = rehydrate_preference(preference)
+        except ImportError:
+            pass
 
         # The smaller we make this, the faster it is.
         delta = datetime.timedelta(days=365)

